{% extends "base.html.twig" %}

{% block body %}
    <div class="container">
        <h1>{{ 'admin.party_responses.title'|trans({'%party_name%': party.getName()}) }}</h1>
        <div class="row">
            <div class="col-12 col-md-3">
                <a href="{{ path('admin_party_list') }}" class="btn btn-default"><i class="fa fa-arrow-left"></i> {{ 'admin.party_responses.btn_back'|trans }}</a>
            </div>
            <div class="col-12 col-md-9">
                {% if party.getResponses() is not empty %}

                    <table class="table table-striped">
                        <tr>
                            <th>{{ 'admin.party_responses.user_username'|trans }}</th>
                            <th>{{ 'admin.party_responses.has_accepted'|trans }}</th>
                            <th>{{ 'admin.party_responses.delete'|trans }}</th>
                        </tr>
                        {% for response in party.getResponses() %}

                            <tr>
                                <td>{{ response.getUser().getUsername() }}</td>
                                <td>
                                    {% if response.isAccepted() %}
                                        <i class="fa fa-check-circle text-success"></i>
                                    {% else %}
                                        <i class="fa fa-times-circle text-warning"></i>
                                    {% endif %}
                                </td>
                                <td>
                                    <a href="javascript:void(0)" class="js-response-remove-listener text-danger" data-url="{{ path('admin_response_delete', {'response': response}) }}"><i class="fa fa-trash"></i></a>
                                </td>
                            </tr>

                        {% endfor %}
                    </table>

                {% else %}

                    <p class="text-warning">
                        {{ 'admin.party_responses.no_responses'|trans }}
                    </p>

                {% endif %}
            </div>
        </div>
    </div>

{% endblock %}

